Loading...
Searching...
No Matches
Dune::cpgrid::FaceViaCellHandleWrapper< Handle > Struct Template Reference

A data handle to send data attached to faces via cell communication. More...

`#include <DataHandleWrappers.hpp>`

## Public Types

using | DataType = typename Handle::DataType
using | C2FTable = OrientedEntityTable<0, 1>

## Public Member Functions

| FaceViaCellHandleWrapper (Handle &handle, const C2FTable &c2fGather, const C2FTable &c2f)
| Constructs the data handle.
bool | fixedSize (int, int)
template<class T>
std::enable_if< T::codimension!=0, std::size_t >::type | size (const T &)
std::size_t | size (const EntityRep< 0 > &t)
bool | contains (std::size_t dim, std::size_t codim)
template<class B, class T>
std::enable_if< T::codimension!=0, void >::type | gather (B &, const T &)
template<class B>
void | gather (B &buffer, const EntityRep< 0 > &t)
template<class B, class T>
std::enable_if< T::codimension!=0, void >::type | scatter (B &, const T &, std::size_t)
template<class B>
void | scatter (B &buffer, const EntityRep< 0 > &t, std::size_t)

## Detailed Description

template<class Handle>
struct Dune::cpgrid::FaceViaCellHandleWrapper< Handle >

A data handle to send data attached to faces via cell communication.

With it we can use the cell communication to also communicate data attached to faces.

Warning
  As we send all faces of cell most of the faces will be send twice which will temporarily waste some space and bandwidth.

Template Parameters

  Handle | The type of the data handle to wrap. It must gather and scatter only for codim-1 entities.

Warning
  The wrapped data handle must not used the last argument of its' scatter method since this numer will be incorrect in most cases!

## Constructor & Destructor Documentation

## FaceViaCellHandleWrapper()

template<class Handle>

Dune::cpgrid::FaceViaCellHandleWrapper< Handle >::FaceViaCellHandleWrapper | ( | Handle & | handle,
|  | const C2FTable & | c2fGather,
|  | const C2FTable & | c2f )

inline

Constructs the data handle.

Parameters

  handle | Handle object wrapped and used for actual gather/scatter
  c2fGather | Table to determine points when gathering
  c2f | Table to determine points when scattering

The documentation for this struct was generated from the following file:

- opm/grid/cpgrid/DataHandleWrappers.hpp